#!/usr/bin/env python

from MoinMessage import parseURL
import httplib
import sys

if __name__ == "__main__":
    url = sys.argv[1] + "?action=PostMessage"

    text = sys.stdin.read()
    scheme, host, port, path = parseURL(url)

    if scheme != "http":
        print >>sys.stderr, "Only http URLs are supported."
        sys.exit(1)

    req = httplib.HTTPConnection(host, port)
    req.request("PUT", path, text) # {"Content-Length" : len(text)}
    resp = req.getresponse()
    print resp.read()

# vim: tabstop=4 expandtab shiftwidth=4
